services:
  _defaults:
    public: true

  mbo.externalcontent.provider:
    class: 'PrestaShop\Module\Mbo\ExternalContentProvider\ExternalContentProvider'

  mbo.adapter.module_collection_data_provider:
    class: 'PrestaShop\Module\Mbo\ModuleCollectionDataProvider'
    arguments:
      - '@prestashop.core.admin.data_provider.module_interface'
      - '@prestashop.core.admin.module.repository'
      - '@prestashop.adapter.presenter.module'
      - '@prestashop.core.admin.tab.repository'
      - '@prestashop.adapter.legacy.context'

  mbo.tab.collection.factory:
    class: 'PrestaShop\Module\Mbo\Tab\TabCollectionFactory'
    arguments:
      - '@mbo.adapter.module_collection_data_provider'

  mbo.tab.collection.provider:
    class: 'PrestaShop\Module\Mbo\Tab\TabCollectionProvider'
    arguments:
      - '@prestashop.adapter.legacy.context'
      - '@mbo.externalcontent.provider'
      - '@mbo.tab.collection.factory'
      - '@doctrine.cache.provider'

  mbo.recommendedlinks.provider:
    class: 'PrestaShop\Module\Mbo\RecommendedLink\RecommendedLinkProvider'
    arguments:
      - '@prestashop.adapter.legacy.context'
      - '@serializer'

  mbo.recommendedmodules.presenter:
    class: 'PrestaShop\Module\Mbo\RecommendedModule\RecommendedModulePresenter'

  mbo.addons_selection_link_provider:
    class: 'PrestaShop\Module\Mbo\AddonsSelectionLinkProvider'
    arguments:
      - '@prestashop.core.foundation.version'
      - '@prestashop.adapter.legacy.context'
      - '@prestashop.adapter.legacy.configuration'
      - '@request_stack'

  mbo.controller.modules.catalog:
    class: 'PrestaShop\Module\Mbo\Controller\Admin\ModuleCatalogController'

  mbo.controller.modules.selection:
    class: 'PrestaShop\Module\Mbo\Controller\Admin\ModuleSelectionController'
    arguments:
      - '@request_stack'
      - '@mbo.externalcontent.provider'
      - '@mbo.addons_selection_link_provider'

  mbo.controller.modules.recommended:
    class: 'PrestaShop\Module\Mbo\Controller\Admin\ModuleRecommendedController'
    arguments:
      - '@request_stack'
      - '@mbo.tab.collection.provider'
      - '@mbo.recommendedmodules.presenter'

  mbo.controller.themes.catalog:
    class: 'PrestaShop\Module\Mbo\Controller\Admin\ThemeCatalogController'
    arguments:
      - '@request_stack'
      - '@mbo.externalcontent.provider'
      - '@mbo.addons_selection_link_provider'
